'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var testAttribute = function testAttribute(attr) {
  var prefix = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'aria-';

  var regEx = new RegExp('^' + prefix, 'i');
  return attr.match(regEx) && true;
};

// turn aria-required to ariaRequired
var kebapToCamelCase = function kebapToCamelCase(str) {
  var prefix = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'aria-';

  var regEx = new RegExp('^' + prefix, 'i');
  if (str.match(regEx)) {
    str = str.split('-').reduce(function (prev, next) {
      return prev + next.split('').map(function (char, index) {
        return !index ? char.toUpperCase() : char;
      }).join('');
    });
  }
  return str;
};

// turn ariaRequired to aria-required
var camelToKebabCase = function camelToKebabCase(str) {
  var newStr = str.replace(/-/g, '').split('').map(function (char) {
    return char === char.toUpperCase() ? '-' + char.toLowerCase() : char;
  }).join('').replace(/(^-{1,}|-{1,}$)/gi, '');
  return testAttribute(newStr) ? newStr : str;
};

exports.camelToKebabCase = camelToKebabCase;